package ru.ds_release.database;

/**
 * Created by Sergey on 30.12.2016.
 */

import android.database.Cursor;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity  extends AppCompatActivity {

    public static String fio_in = "";
    public static String dol_in = "";
    public static String tel_in = "";

    public static Integer num_in = 1;

    public EditText fio;
    public EditText dol;
    public EditText tel;
    private ControlSQL dbSQL;

    @Override
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        //сначала оратимся к нашим полям и кнопке
        Button btn = (Button) findViewById(R.id.button1);
        fio = (EditText) findViewById(R.id.editText1);
        dol = (EditText) findViewById(R.id.editText2);
        tel = (EditText) findViewById(R.id.editText3);



        dbSQL = new ControlSQL(this);



        //получаем данные из таблицы

        Cursor newtable = dbSQL.getTable(1);

        //если есть строки
        if (newtable != null) {

            // идем на первую строку
            newtable.moveToFirst();


            //получаем значения ФИО, Должности и Телефона и присваиваем их нашим= полям
            num_in=newtable.getInt(0);
            fio_in=newtable.getString(1);
            dol_in=newtable.getString(2);
            tel_in=newtable.getString(3);

            fio.setText(fio_in);
            dol.setText(dol_in);
            tel.setText(tel_in);

        }



        btn.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View v) {


                //можно изменять значения, используя update*/


                fio_in=fio.getText().toString();
                dol_in=dol.getText().toString();
                tel_in=tel.getText().toString();

                dbSQL.updateTable(num_in,fio_in,dol_in,tel_in);


            }
        });
    }




}